Bug 508990 - gnubik segfaults on invocation
gnubik segfaults on invocation
Product: Fedora
Classification: Fedora
Component: gnubik (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-30 14:33 EDT by steve
Modified: 2009-12-18 04:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 04:36:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
try init with accum first before falling back to non-accum capable mode (2.03 KB, patch)
2009-06-30 14:33 EDT, steve
no flags Details | Diff
"glxinfo -t" which list accum buffer modes exists (8.28 KB, text/plain)
2009-06-30 14:34 EDT, steve
no flags Details

  None (edit)
Description steve 2009-06-30 14:33:22 EDT
Created attachment 350000 [details]
try init with accum first before falling back to non-accum capable mode

Description of problem:
gnubik aborts when launched with the error given below. A possible patch to fix
this is attached.

[steve@laptop gnubik-2.3]$ gnubik 

** ERROR **: Cannot get a suitable visual
Aborted (core dumped)
[steve@laptop gnubik-2.3]$ 

Version-Release number of selected component (if applicable):
gnubik-2.3-6.fc10.x86_64 but the same thing happens with the latest upstream release too.

How reproducible:

Steps to Reproduce:
1. $ yum install gnubik
2. $ gnubik

Actual results:
[steve@laptop gnubik-2.3]$ gnubik 

** ERROR **: Cannot get a suitable visual
Aborted (core dumped)
[steve@laptop gnubik-2.3]$ 

Expected results:
Should launch the application or should fail gracefully (ie: calling exit() instead of abort()ing and dumping core)

Additional info:

I've narrowed the problem down to the fact that for some strange reason, opengl
fails to init with accumulation buffer capability although according to glxinfo
(output attached) my system is does have accumulation buffers capability.

The attached patch tries to init using accumulation buffer and on failure falls back to using a mode without it it.

It also checks for accumulation buffer capability before performing any accum.
related operations.

- steve
Comment 1 steve 2009-06-30 14:34:47 EDT
Created attachment 350002 [details]
"glxinfo -t" which list accum buffer modes exists
Comment 2 Alexey Torkhov 2009-07-13 13:38:23 EDT
Thanks for report and patch, I'll commit it soon.
Comment 3 Bug Zapper 2009-11-18 07:08:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-12-18 04:36:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.